package com.prolog.cs.biz.inbound.dto.rcv;

import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validAdd;
import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validEdit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description 与收货单行图片 1:N
 * @Author Xiong
 * @Date 2021-04-02
 */

@ApiModel
public class RcvLinesPicDTO implements Serializable {
	private static final long serialVersionUID = 3194697483496216439L;
	@ApiModelProperty(value = "上传ID(主键雪花id)", required = true)
	@NotBlank(message = "上传ID(主键雪花id) can not blank!", groups = validEdit.class)
	private String rcvHeaderPicId;

	@ApiModelProperty(value = "收货单头ID", required = true)
	@NotBlank(message = "收货单头ID can not blank!", groups = validAdd.class)
	private String rcvHeaderId;

	@ApiModelProperty(value = "采购单号")
	private String srcHeaderId;

	@ApiModelProperty(value = "采购单号")
	private String srcAutoBullNum;

	@ApiModelProperty(value = "企业ID")
	private String entId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "批次ID")
	private String batchId;

	@ApiModelProperty(value = "图片名称", required = true)
	@NotBlank(message = "图片名称 can not blank!", groups = validAdd.class)
	private String picFilename;

	@ApiModelProperty(value = "图片地址", required = true)
	@NotBlank(message = "图片地址 can not blank!", groups = validAdd.class)
	private String picFileurl;

	@ApiModelProperty(value = "上传时间")
	private Date executorDate;

	@ApiModelProperty(value = "上传人员id")
	private String executorUserid;

	@ApiModelProperty(value = "上传人员名称")
	private String executorUserName;

	@ApiModelProperty(value = "行ID(和rcv_line主键一致)")
	private String rcvLineId;

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getRcvHeaderPicId() {
		return this.rcvHeaderPicId;
	}

	public void setRcvHeaderPicId(String rcvHeaderPicId) {
		this.rcvHeaderPicId = rcvHeaderPicId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getSrcHeaderId() {
		return this.srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcAutoBullNum() {
		return this.srcAutoBullNum;
	}

	public void setSrcAutoBullNum(String srcAutoBullNum) {
		this.srcAutoBullNum = srcAutoBullNum;
	}

	public String getEntId() {
		return this.entId;
	}

	public void setEntId(String entId) {
		this.entId = entId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getPicFilename() {
		return this.picFilename;
	}

	public void setPicFilename(String picFilename) {
		this.picFilename = picFilename;
	}

	public String getPicFileurl() {
		return this.picFileurl;
	}

	public void setPicFileurl(String picFileurl) {
		this.picFileurl = picFileurl;
	}

	public Date getExecutorDate() {
		return this.executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getExecutorUserid() {
		return this.executorUserid;
	}

	public void setExecutorUserid(String executorUserid) {
		this.executorUserid = executorUserid;
	}

	public String getExecutorUserName() {
		return this.executorUserName;
	}

	public void setExecutorUserName(String executorUserName) {
		this.executorUserName = executorUserName;
	}

}
